<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

defined('MOODLE_INTERNAL') || die();

require_once($CFG->libdir . '/formslib.php');

class local_kid_competency_sync_form extends moodleform {

    protected function definition() {
        $mform = $this->_form;

        $mform->addElement('hidden', 'promotionid');
        $mform->setType('promotionid', PARAM_INT);

        $frameworks = $this->_customdata['frameworks'];
        $mform->addElement('select', 'frameworkid', get_string('competency_sync_framework', 'local_kid'), $frameworks);
        $mform->addRule('frameworkid', get_string('required'), 'required', null, 'client');
        $mform->addHelpButton('frameworkid', 'competency_sync_framework', 'local_kid');

        $this->add_action_buttons(true, get_string('competency_sync_action', 'local_kid'));
    }
}
